For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTAdd users to group
      • POSTCreate group
      • DELDelete group
      • GETList group users
      • GETList groups
      • DELRemove member from group
      • GETShow group
      • PATCHUpdate group

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceGroups

Add users to group

POST
https://api.frame.io/v4/accounts/:account_id/groups/:group_id/users
POST
/v4/accounts/:account_id/groups/:group_id/users
1from frameio_experimental import FrameioExperimental
2from frameio_experimental.groups import AddGroupMembersParamsData
3
4client = FrameioExperimental(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.groups.add_users(
9 account_id="d5a104d4-e2c5-41fb-a0c8-801ef23c86a1",
10 group_id="20d27562-6223-4fb2-988d-27bbdce2379d",
11 api_version="experimental",
12 data=AddGroupMembersParamsData(
13 user_ids=[
14 "264fe484-d631-4841-a2d1-bd6d122045f4",
15 "3165a74f-a5cc-4a83-a787-3c4f993e259c"
16 ],
17 ),
18)

Add one or more account users to a Frame-managed access group. Adding a user who is already a member is idempotent. If any user is invalid, the request is rejected.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Create group

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

group_idstringRequiredformat: "uuid"
A UUID string that uniquely identifies a Frame.io entity.

Headers

api-versionenumRequired
Allowed values:

Request

Add members params
dataobjectRequired

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error